<?php
/**
 *
 * PayPal Donation extension for the phpBB Forum Software package.
 *
 * @copyright (c) 2017 Skouat
 * @license GNU General Public License, version 2 (GPL-2.0)
 *
 * Spanish translation by ThE KuKa - https://www.phpbb-es.com
 *
 */

if (!defined('IN_PHPBB'))
{
	exit;
}

if (empty($lang) || !is_array($lang))
{
	$lang = array();
}

// DEVELOPERS PLEASE NOTE
//
// All language files should use UTF-8 as their encoding and the files must not contain a BOM.
//
// Placeholders can now contain order information, e.g. instead of
// 'Page %s of %s' you can (and should) write 'Page %1$s of %2$s', this allows
// translators to re-order the output of data while ensuring it remains correct
//
// You do not need this where single placeholders are used, e.g. 'Message %d' is fine
// equally where a string contains only two placeholders which are used to wrap text
// in a url you again do not need to specify an order e.g., 'Click %sHERE%s' is fine
//
// Some characters you may want to copy&paste:
// ’ « » “ ” …
//

/**
 * mode: currency
 */
$lang = array_merge($lang, array(
	'PPDE_DC_CONFIG'           => 'Gestionar Monedas',
	'PPDE_DC_CONFIG_EXPLAIN'   => 'Aquí puede gestionar monedas.',
	'PPDE_DC_CREATE_CURRENCY'  => 'Añadir moneda',
	'PPDE_DC_DEFAULT_CURRENCY' => '(moneda por defecto)',
	'PPDE_DC_ENABLE'           => 'Habilitar moneda',
	'PPDE_DC_ENABLE_EXPLAIN'   => 'Si se habilita, la moneda será mostrada en la lista desplegable.',
	'PPDE_DC_ISO_CODE'         => 'Código ISO 4217',
	'PPDE_DC_ISO_CODE_EXPLAIN' => 'Código alfabético de la moneda.<br>Para más información sobre ISO 4217, por favor lea el <a href="https://www.phpbb.com/customise/db/mod/paypal_donation_mod/faq/f_746" title="FAQ del MOD PayPal Donation">FAQ del MOD PayPal Donation</a> (enlace externo).',
	'PPDE_DC_NAME'             => 'Nombre de moneda',
	'PPDE_DC_NAME_EXPLAIN'     => 'Nombre de la moneda.<br>(por ejemplo Euro).',
	'PPDE_DC_POSITION'         => 'Posición de la moneda',
	'PPDE_DC_POSITION_EXPLAIN' => 'Defina dónde se ubicará el símbolo de moneda en relación con la cantidad mostrada.<br>Por ejemplo: <strong>$20</strong> o <strong>15€</strong>.',
	'PPDE_DC_POSITION_LEFT'    => 'Izquierda',
	'PPDE_DC_POSITION_RIGHT'   => 'Moneda',
	'PPDE_DC_SYMBOL'           => 'Símbolo de moneda',
	'PPDE_DC_SYMBOL_EXPLAIN'   => 'Definir el símbolo de moneda.<br>Por ejemplo: <strong>$</strong> para dolar U.S., <strong>€</strong> para Euro.',
));

/**
 * Confirm box
 */
$lang = array_merge($lang, array(
	'PPDE_DC_ADDED'          => 'Una moneda ha sido añadida.',
	'PPDE_DC_CONFIRM_DELETE' => '¿Está seguro de querer borrar la moneda seleccionada?',
	'PPDE_DC_DELETED'        => 'Una moneda ha sido borrada.',
	'PPDE_DC_GO_TO_PAGE'     => '%sEditar la moneda existente%s',
	'PPDE_DC_UPDATED'        => 'Una moneda ha sido actualizada.',
));

/**
 * Errors
 */
$lang = array_merge($lang, array(
	'PPDE_CANNOT_DISABLE_DEFAULT_CURRENCY' => 'No puede deshabilitar la moneda por defecto.',
	'PPDE_DC_EMPTY_NAME'                   => 'Introduzca un nombre de moneda.',
	'PPDE_DC_EMPTY_ISO_CODE'               => 'Introduzca un código ISO.',
	'PPDE_DC_EMPTY_SYMBOL'                 => 'Introduzca un símbolo.',
	'PPDE_DC_EXISTS'                       => 'Esta moneda ya existe.',
	'PPDE_DC_INVALID_HASH'                 => 'El enlace está dañado. El hash no es válido.',
	'PPDE_DC_NO_CURRENCY'                  => 'No se ha encontrado ninguna moneda.',
	'PPDE_DISABLE_BEFORE_DELETION'         => 'Debe deshabilitar esta moneda antes de eliminarla.',
));
