<?php
/**
 *
 * PayPal Donation extension for the phpBB Forum Software package.
 *
 * @copyright (c) 2017 Skouat
 * @license GNU General Public License, version 2 (GPL-2.0)
 *
 * Spanish translation by ThE KuKa - https://www.phpbb-es.com
 *
 */

if (!defined('IN_PHPBB'))
{
	exit;
}

if (empty($lang) || !is_array($lang))
{
	$lang = array();
}

// DEVELOPERS PLEASE NOTE
//
// All language files should use UTF-8 as their encoding and the files must not contain a BOM.
//
// Placeholders can now contain order information, e.g. instead of
// 'Page %s of %s' you can (and should) write 'Page %1$s of %2$s', this allows
// translators to re-order the output of data while ensuring it remains correct
//
// You do not need this where single placeholders are used, e.g. 'Message %d' is fine
// equally where a string contains only two placeholders which are used to wrap text
// in a url you again do not need to specify an order e.g., 'Click %sHERE%s' is fine
//
// Some characters you may want to copy&paste:
// ’ « » “ ” …
//

/**
 * mode: donation pages
 */
$lang = array_merge($lang, array(
	// Donation Page Body settings
	'DONATION_BODY'            => 'Página principal de Donación',
	'DONATION_BODY_EXPLAIN'    => 'Introduzca el texto que desea mostrar en la página principal de donación.',

	// Donation Cancel settings
	'DONATION_CANCEL'          => 'Cancelación de Donación',
	'DONATION_CANCEL_EXPLAIN'  => 'Introduzca el texto que desea mostrar en la página de donación cancelada.',

	// Donation Success settings
	'DONATION_SUCCESS'         => 'Donación Correcta',
	'DONATION_SUCCESS_EXPLAIN' => 'Introduzca el texto que desea mostrar en la página de donación correcta.',

	// Donation Page settings
	'PPDE_DP_CONFIG'           => 'Páginas de Donación',
	'PPDE_DP_CONFIG_EXPLAIN'   => 'Le permite personalizar la páginas principal, correcta y de cancelación de la extensión.',
	'PPDE_DP_LANG'             => 'Idioma',
	'PPDE_DP_LANG_SELECT'      => 'Seleccione un idioma',
	'PPDE_DP_PAGE'             => 'Tipo de página',

	// Donation Page Template vars
	'PPDE_DP_BOARD_CONTACT'    => 'Contacto del foro',
	'PPDE_DP_BOARD_EMAIL'      => 'Email del foro',
	'PPDE_DP_BOARD_SIG'        => 'Firma del foro',
	'PPDE_DP_PREDEFINED_VARS'  => 'Variables predefinidas',
	'PPDE_DP_SITE_DESC'        => 'Descripción del sitio',
	'PPDE_DP_SITE_NAME'        => 'Nombre del sitio',
	'PPDE_DP_USER_ID'          => 'ID de Usuario',
	'PPDE_DP_USERNAME'         => 'Nombre de usuario',
	'PPDE_DP_VAR_EXAMPLE'      => 'Ejemplo',
	'PPDE_DP_VAR_NAME'         => 'Nombre',
	'PPDE_DP_VAR_VAR'          => 'Variable',
));

/**
 * Confirm box
 */
$lang = array_merge($lang, array(
	'PPDE_DP_ADDED'          => 'Una página de donación para el idioma “%s” ha sido añadida.',
	'PPDE_DP_CONFIRM_DELETE' => '¿Está seguro de querer borrar la página de donación seleccionada?',
	'PPDE_DP_DELETED'        => 'Una página de donación para el idioma “%s” ha sido eliminada.',
	'PPDE_DP_GO_TO_PAGE'     => '%sEditar página de donación existente%s',
	'PPDE_DP_UPDATED'        => 'Una página de donación para el idioma “%s” ha sido actualizada.',
));

/**
 * Errors
 */
$lang = array_merge($lang, array(
	'PPDE_DP_EMPTY_LANG_ID'     => 'Ningún idioma seleccionado.',
	'PPDE_DP_EMPTY_NAME'        => 'La página de donación seleccionada no existe.',
	'PPDE_DP_EXISTS'            => 'Esta página de donación ya existe.',
	'PPDE_DP_NO_DONATION_PAGES' => 'No se encontró ninguna página de donación.',
));
