<?php
/**
 *
 * PayPal Donation extension for the phpBB Forum Software package.
 *
 * @copyright (c) 2017 Skouat
 * @license GNU General Public License, version 2 (GPL-2.0)
 *
 * Spanish translation by ThE KuKa - https://www.phpbb-es.com
 *
 */

if (!defined('IN_PHPBB'))
{
	exit;
}

if (empty($lang) || !is_array($lang))
{
	$lang = array();
}

// DEVELOPERS PLEASE NOTE
//
// All language files should use UTF-8 as their encoding and the files must not contain a BOM.
//
// Placeholders can now contain order information, e.g. instead of
// 'Page %s of %s' you can (and should) write 'Page %1$s of %2$s', this allows
// translators to re-order the output of data while ensuring it remains correct
//
// You do not need this where single placeholders are used, e.g. 'Message %d' is fine
// equally where a string contains only two placeholders which are used to wrap text
// in a url you again do not need to specify an order e.g., 'Click %sHERE%s' is fine
//
// Some characters you may want to copy&paste:
// ’ « » “ ” …
//

/**
 * mode: PayPal features
 */
$lang = array_merge($lang, array(
	'PPDE_PAYPAL_FEATURES'                 => 'Características IPN de PayPal',
	'PPDE_PAYPAL_FEATURES_EXPLAIN'         => 'Aquí puede configurar todas las características que utiliza la notificación de pago instantánea de PayPal (IPN).',

	// PayPal IPN settings
	'PPDE_LEGEND_IPN_AUTOGROUP'            => 'Auto Grupo',
	'PPDE_LEGEND_IPN_DONORLIST'            => 'Lista de Donantes',
	'PPDE_LEGEND_IPN_NOTIFICATION'         => 'Sistema de notificación',
	'PPDE_LEGEND_IPN_SETTINGS'             => 'Ajustes Generales',
	'PPDE_IPN_AG_ENABLE'                   => 'Habilitar Auto Grupo',
	'PPDE_IPN_AG_ENABLE_EXPLAIN'           => 'Permite añadir donantes a un grupo predefinido.',
	'PPDE_IPN_AG_DONORS_GROUP'             => 'Grupo de donantes',
	'PPDE_IPN_AG_DONORS_GROUP_EXPLAIN'     => 'Seleccione el grupo donde los donantes serán añadidos.',
	'PPDE_IPN_AG_GROUP_AS_DEFAULT'         => 'Establecer grupo de donantes por defecto',
	'PPDE_IPN_AG_GROUP_AS_DEFAULT_EXPLAIN' => 'Habilitar para establecer el grupo de donantes como el grupo por defecto del usuario.',
	'PPDE_IPN_AG_MIN_BEFORE_GROUP'         => 'Cantidad mínima para el grupo de donantes',
	'PPDE_IPN_AG_MIN_BEFORE_GROUP_EXPLAIN' => 'Cantidad total de donación que un usuario debe hacer para ser añadido al grupo de donantes.',
	'PPDE_IPN_DL_ENABLE'                   => 'Habilitar lista de donantes',
	'PPDE_IPN_DL_ENABLE_EXPLAIN'           => 'Permite habilitar la lista de donantes.',
	'PPDE_IPN_ENABLE'                      => 'Habilitar IPN',
	'PPDE_IPN_ENABLE_EXPLAIN'              => 'Habilite esta opción si desea utilizar el servicio de notificación de pago instantáneo de PayPal.',
	'PPDE_IPN_LOGGING'                     => 'Habilitar registro de errores',
	'PPDE_IPN_LOGGING_EXPLAIN'             => 'Escribe errores y datos de PayPal IPN a un archivo en <strong>/store/ext/ppde/</strong>.',
	'PPDE_IPN_NOTIFICATION_ENABLE'         => 'Habilitar notificación',
	'PPDE_IPN_NOTIFICATION_ENABLE_EXPLAIN' => 'Permite notificar al Administrador del sitio y a los donantes cuando se recibe una donación.',

	// PayPal sandbox settings
	'PPDE_LEGEND_SANDBOX_SETTINGS'         => 'Ajustes de Sandbox',
	'PPDE_SANDBOX_ENABLE'                  => 'Probar Sandbox',
	'PPDE_SANDBOX_ENABLE_EXPLAIN'          => 'Usar Sandbox de PayPal en lugar de los servicios de PayPal.<br>Útil para desarrolladores y testers. Todas las transacciones son ficticias.',
	'PPDE_SANDBOX_FOUNDER_ENABLE'          => 'Sandbox solo para fundador',
	'PPDE_SANDBOX_FOUNDER_ENABLE_EXPLAIN'  => 'Sandbox de PayPal se mostrará solo por los fundadores del foro.',
	'PPDE_SANDBOX_ADDRESS'                 => 'Cuenta Sandbox de PayPal',
	'PPDE_SANDBOX_ADDRESS_EXPLAIN'         => 'Introduzca la dirección de correo electrónico de Sandbox de PayPal o la ID de comerciante.',
	'PPDE_SANDBOX_REMOTE'                  => 'URL de PayPal Sandbox',
	'PPDE_SANDBOX_REMOTE_EXPLAIN'          => 'No cambie esta configuración, a menos que esta extensión encuentre errores al comunicarse con el host remoto de Sandbox.',
));

/**
 * Confirm box
 */
$lang = array_merge($lang, array(
	'PPDE_PAYPAL_FEATURES_SAVED' => 'Características de IPN PayPal guardadas.',
));

/**
 * Errors
 */
$lang = array_merge($lang, array(
	'PPDE_PAYPAL_FEATURES_MISSING'        => 'Por favor, compruebe “Cuenta Sandbox de PayPal”.',
	'PPDE_PAYPAL_FEATURES_NOT_ENABLEABLE' => 'IPN PayPal no se puede habilitar. Compruebe los requisitos del sistema del módulo “Resumen”.',
));
