<?php
/**
 *
 * PayPal Donation extension for the phpBB Forum Software package.
 *
 * @copyright (c) 2017 Skouat
 * @license GNU General Public License, version 2 (GPL-2.0)
 *
 * Spanish translation by ThE KuKa - https://www.phpbb-es.com
 *
 */

if (!defined('IN_PHPBB'))
{
	exit;
}

if (empty($lang) || !is_array($lang))
{
	$lang = array();
}

// DEVELOPERS PLEASE NOTE
//
// All language files should use UTF-8 as their encoding and the files must not contain a BOM.
//
// Placeholders can now contain order information, e.g. instead of
// 'Page %s of %s' you can (and should) write 'Page %1$s of %2$s', this allows
// translators to re-order the output of data while ensuring it remains correct
//
// You do not need this where single placeholders are used, e.g. 'Message %d' is fine
// equally where a string contains only two placeholders which are used to wrap text
// in a url you again do not need to specify an order e.g., 'Click %sHERE%s' is fine
//
// Some characters you may want to copy&paste:
// ’ « » “ ” …
//

/**
 * mode: settings
 */
$lang = array_merge($lang, array(
	'PPDE_SETTINGS'                   => 'Ajustes Generales',
	'PPDE_SETTINGS_EXPLAIN'           => 'Aquí puedes configurar los ajustes principales de Donación PayPal.',

	// General settings
	'PPDE_ACCOUNT_ID'                 => 'ID de cuenta PayPal',
	'PPDE_ACCOUNT_ID_EXPLAIN'         => 'Introduce su ID de cuenta mercantil o dirección de correo electrónico de PayPal.',
	'PPDE_DEFAULT_CURRENCY'           => 'Moneda por defecto',
	'PPDE_DEFAULT_CURRENCY_EXPLAIN'   => 'Define qué moneda se seleccionará por defecto.',
	'PPDE_DEFAULT_VALUE'              => 'Valor de donación por defecto',
	'PPDE_DEFAULT_VALUE_EXPLAIN'      => 'Define qué valor de donación se sugerirá por defecto.',
	'PPDE_DROPBOX_ENABLE'             => 'Habilitar lista desplegable',
	'PPDE_DROPBOX_ENABLE_EXPLAIN'     => 'Mostrar una lista desplegable en lugar de un cuadro de texto.',
	'PPDE_DROPBOX_VALUE'              => 'Valores de donación de la lista desplegable',
	'PPDE_DROPBOX_VALUE_EXPLAIN'      => 'Define los valores de donación disponibles en la lista desplegable.<br>Use <strong>coma</strong> (“,”) <strong>sin espacio</strong> para separar los valores.',
	'PPDE_ENABLE'                     => 'Habilitar Donación PayPal',
	'PPDE_ENABLE_EXPLAIN'             => 'Habilitar o Deshabilitar la extensión Donación PayPal.',
	'PPDE_HEADER_LINK'                => 'Mostrar el enlace de “Donaciones” en el encabezado',
	'PPDE_LEGEND_GENERAL_SETTINGS'    => 'Ajustes Generales',

	// Advanced settings
	'PPDE_LEGEND_ADVANCED_SETTINGS'   => 'Ajustes avanzados',
	'PPDE_DEFAULT_REMOTE'             => 'URL PayPal',
	'PPDE_DEFAULT_REMOTE_EXPLAIN'     => 'No cambies esta configuración, a menos que esta extensión encuentre errores para ponerse en contacto con el host remoto.',

	// Stats Donation settings
	'PPDE_AMOUNT'                     => 'Cantidad',
	'PPDE_DECIMAL_EXPLAIN'            => 'Usa “.” como símbolo decimal.', // Note for translator: do not translate the decimal symbol
	'PPDE_GOAL'                       => 'Objetivo de la Donación',
	'PPDE_GOAL_EXPLAIN'               => 'La cantidad total que desea alcanzar.',
	'PPDE_LEGEND_STATS_SETTINGS'      => 'Estadísticas de configuración de donación.',
	'PPDE_RAISED'                     => 'Donación planteada',
	'PPDE_RAISED_EXPLAIN'             => 'La cantidad actual recaudada a través de donaciones.',
	'PPDE_STATS_INDEX_ENABLE'         => 'Mostrar estadísticas de donación en el índice',
	'PPDE_STATS_INDEX_ENABLE_EXPLAIN' => 'Habilita esto si desea mostrar las estadísticas de donación en el índice.',
	'PPDE_USED'                       => 'Donaciones usada',
	'PPDE_USED_EXPLAIN'               => 'La cantidad de donaciones que ya ha utilizado.',
));

/**
 * Confirm box
 */
$lang = array_merge($lang, array(
	'PPDE_SETTINGS_SAVED' => 'Ajustes de Donación guardados.',
));

/**
 * Errors
 */
$lang = array_merge($lang, array(
	'PPDE_SETTINGS_MISSING' => 'Por favor, comprueba “ID de cuenta”.',
));
