<?php
/**
 *
 * PayPal Donation extension for the phpBB Forum Software package.
 *
 * @copyright (c) 2017 Skouat
 * @license GNU General Public License, version 2 (GPL-2.0)
 *
 * Spanish translation by ThE KuKa - https://www.phpbb-es.com
 *
 */

if (!defined('IN_PHPBB'))
{
	exit;
}

if (empty($lang) || !is_array($lang))
{
	$lang = array();
}

// DEVELOPERS PLEASE NOTE
//
// All language files should use UTF-8 as their encoding and the files must not contain a BOM.
//
// Placeholders can now contain order information, e.g. instead of
// 'Page %s of %s' you can (and should) write 'Page %1$s of %2$s', this allows
// translators to re-order the output of data while ensuring it remains correct
//
// You do not need this where single placeholders are used, e.g. 'Message %d' is fine
// equally where a string contains only two placeholders which are used to wrap text
// in a url you again do not need to specify an order e.g., 'Click %sHERE%s' is fine
//
// Some characters you may want to copy&paste:
// ’ « » “ ” …
//

/**
 * mode: transactions
 */
$lang = array_merge($lang, array(
	// Transactions log
	'PPDE_DT_CONFIG'                => 'Registro de transacciones',
	'PPDE_DT_CONFIG_EXPLAIN'        => 'Aquí puedes ver los detalles de las transacciones.',
	'PPDE_DT_IPN_STATUS'            => 'Estado de IPN',
	'PPDE_DT_IPN_TEST'              => 'Test IPN',
	'PPDE_DT_PAYMENT_STATUS'        => 'Estado del pago',
	'PPDE_DT_TXN_ID'                => 'ID de transacción',
	'PPDE_DT_USERNAME'              => 'Nombre del donante',

	// Display transactions
	'PPDE_DT_APPROVE'                       => 'Aprobar',
	'PPDE_DT_BOARD_USERNAME'        		=> 'Donantes',
	'PPDE_DT_CHANGE_BOARD_USERNAME'         => 'Cambiar donante',
	'PPDE_DT_CHANGE_BOARD_USERNAME_EXPLAIN' => 'Esto cambia la cuenta de usuario a la que está asociada esta donación.',
	'PPDE_DT_DETAILS'               		=> 'Detalles de la transacción',
	'PPDE_DT_DISAPPROVE'                    => 'Desaprobar',
	'PPDE_DT_EXCHANGE_RATE'         		=> 'Tipo de cambio',
	'PPDE_DT_EXCHANGE_RATE_EXPLAIN' 		=> 'Basado en el tipo de cambio vigente a %s.',
	'PPDE_DT_FEE_AMOUNT'            		=> 'Importe de la cuota',
	'PPDE_DT_ITEM_NAME'             		=> 'Nombre del artículo',
	'PPDE_DT_ITEM_NUMBER'           		=> 'Número del artículo',
	'PPDE_DT_MEMO'                  		=> 'Memo',
	'PPDE_DT_MEMO_EXPLAIN'          		=> 'Memo ingresado por el donante a través del sitio web de PayPal.',
	'PPDE_DT_NAME'                  		=> 'Nombre',
	'PPDE_DT_NET_AMOUNT'            		=> 'Importe neto',
	'PPDE_DT_PAYER_ID'              		=> 'ID del pagador',
	'PPDE_DT_PAYER_EMAIL'           		=> 'Correo electrónico del pagador',
	'PPDE_DT_PAYER_STATUS'          		=> 'Estado del pagador',
	'PPDE_DT_PAYMENT_DATE'          		=> 'Fecha de pago',
	'PPDE_DT_RECEIVER_EMAIL'        		=> 'Pago enviado a',
	'PPDE_DT_RECEIVER_ID'           		=> 'ID del receptor',
	'PPDE_DT_SETTLE_AMOUNT'         		=> 'Conversión a “%s”',
	'PPDE_DT_SORT_TXN_ID'           		=> 'ID de transacción',
	'PPDE_DT_SORT_DONORS'           		=> 'Donantes',
	'PPDE_DT_SORT_IPN_STATUS'       		=> 'Estado de IPN',
	'PPDE_DT_SORT_IPN_TYPE'         		=> 'Tipo de transacción',
	'PPDE_DT_SORT_PAYMENT_STATUS'   		=> 'Estado del pago',
	'PPDE_DT_TOTAL_AMOUNT'          		=> 'Cantidad total',
	'PPDE_DT_UNVERIFIED'            		=> 'No verificado',
	'PPDE_DT_VERIFIED'              		=> 'Verificado',
	'PPDE_DT_UPDATED'                       => 'La transacción ha sido actualizada.',

	'PPDE_MT_TITLE'                     => 'Transacción manual',
	'PPDE_MT_TITLE_EXPLAIN'             => 'Aquí puedes añadir una transacción manual, por ejemplo, si recibió una donación por medios distintos a PayPal.',
	'PPDE_MT_REQUIRED_CHARACTER'        => '*',
	'PPDE_MT_REQUIRED_EXPLAIN'          => 'Campo requerido',
	'PPDE_MT_DETAILS'                   => 'Detalles de transacción',
	'PPDE_MT_USERNAME'                  => 'Donante',
	'PPDE_MT_USERNAME_EXPLAIN'          => 'Seleccione el usuario Anónimo si la donación fue hecha por un invitado.',
	'PPDE_MT_FIRST_NAME'                => 'Nombre',
	'PPDE_MT_LAST_NAME'                 => 'Apellido',
	'PPDE_MT_PAYER_EMAIL'               => 'Email',
	'PPDE_MT_RESIDENCE_COUNTRY'         => 'País',
	'PPDE_MT_RESIDENCE_COUNTRY_EXPLAIN' => 'Código ISO 3166 alpha-2, 2 caracteres, vea el <a href="https://www.phpbb.com/customise/db/extension/paypal_donation_extension/faq/2796" target="_blank" rel="noreferrer">FAQ</a>.',
	'PPDE_MT_TOTAL_AMOUNT'              => 'Cantidad total',
	'PPDE_DECIMAL_EXPLAIN'              => 'Use “.” como símbolo decimal.', // Note for translator: do not translate the decimal symbol
	'PPDE_MT_FEE_AMOUNT'                => 'Importe de la cuota',
	'PPDE_MT_NET_AMOUNT'                => 'Importe neto',
	'PPDE_MT_PAYMENT_DATE'              => 'Fecha de donación',
	'PPDE_MT_PAYMENT_DATE_PICK'         => 'Elija una fecha',
	'PPDE_MT_PAYMENT_TIME'              => 'Tiempo de donación',
	'PPDE_MT_PAYMENT_TIME_EXPLAIN'      => 'Ejemplos de formatos de tiempo permitidos',
	'PPDE_MT_MEMO'                      => 'Memoria',
	'PPDE_MT_ADDED'                     => 'La transacción ha sido añadida correctamente.',

	// List of available translations: https://github.com/fengyuanchen/datepicker/tree/master/i18n
	'PPDE_MT_DATEPICKER_LANG'           => 'es-ES',
));

/**
 * mode: transactions
 * Info: This array is out of the previous because there is an issue with Transifex platform
 */
$lang = array_merge($lang, array(
	/**
	 * TRANSLATORS PLEASE NOTE
	 * The line below has a special note.
	 * "## For translate:" followed by one "Don't" and one "Yes"
	 * "Don't" means do not change this column, and "Yes" means you can translate this column.
	 */

	## For translate:					Don't					Yes
	'PPDE_DT_PAYMENT_STATUS_VALUES' => array(
										'canceled_reversal' => 'Inversión cancelada',
										'completed'         => 'Completado',
										'created'           => 'Creado',
										'denied'            => 'Denegado',
										'expired'           => 'Expirado',
										'failed'            => 'Fallado',
										'pending'           => 'Pendiente',
										'refunded'          => 'Reintegrado',
										'reversed'          => 'Invertido',
										'processed'         => 'Procesado',
										'voided'            => 'Anulado',
	),
));

/**
 * Errors
 */
$lang = array_merge($lang, array(
	'PPDE_DT_IPN_APPROVED'         	=> 'Transacción manual aprobada',
	'PPDE_DT_IPN_APPROVED_EXPLAIN' 	=> 'Esta donación fue aprobada manualmente con los siguientes errores',
	'PPDE_DT_IPN_ERRORS'     		=> 'Debes reconsiderar esta donación porque se detectan los siguientes errores',
	'PPDE_DT_NO_TRANSACTION' 		=> 'No se encontró ninguna transacción.',

	'PPDE_MT_DONOR_NOT_FOUND'		=> 'El usuario donante “%1$s” no se encontró.',
	'PPDE_MT_MC_GROSS_TOO_LOW'		=> 'La cantidad total debe ser mayor que cero.',
	'PPDE_MT_MC_FEE_NEGATIVE'		=> 'La cuota no puede ser negativa.',
	'PPDE_MT_MC_FEE_TOO_HIGH'		=> 'La tarifa debe ser inferior a la cantidad total.',
	'PPDE_MT_PAYMENT_DATE_ERROR'	=> 'La fecha de donación “%1$s” no se pudo analizar.',
	'PPDE_MT_PAYMENT_TIME_ERROR'	=> 'El tiempo de donacion “%1$s” no se pudo analizar.',
	'PPDE_MT_PAYMENT_DATE_FUTURE'	=> 'La fecha de donación debe ser en pasado, pero fue “%1$s”.',
));
